
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("mes_prod_plan")]
    public class MesProdPlan
    {

        [Key]
        [Column("ID")]
        public Guid ID { get; set; }

        /// <summary>
        /// VIN_CODE
        /// </summary>
        [Column("VIN_CODE")]
        public string VIN_CODE { get; set; }

        /// <summary>
        /// 物料描述
        /// </summary>
        [Column("MATERIAL_DESC")]
        public string MATERIAL_DESC { get; set; }

        /// <summary>
        /// 线别
        /// </summary>
        [Column("LINE")]
        public string LINE { get; set; }

        /// <summary>
        /// 数量
        /// </summary>
        [Column("ORDER_QTY")]
        public string ORDER_QTY { get; set; }

        /// <summary>
        /// 时间
        /// </summary>
        [Column("CREATE_TIME")]
        public string? CREATE_TIME { get; set; }

        /// <summary>
        /// 处理标志 0 接收 1 已处理
        /// </summary>
        [Column("FLAG")]
        public string FLAG { get; set; }
    }
}

